Bug 1734037 - [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Summary: [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e809dac02802a6466ac949f80ff...
: 1740638 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 13:52 UTC by Thomas Lake
Modified: 2019-08-29 22:06 UTC (History)
3 users (show)

Fixed In Version: remmina-1.3.5-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-29 22:06:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.10 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: core_backtrace (8.09 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: dso_list (13.88 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: environ (3.92 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: maps (86.06 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: mountinfo (3.85 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: open_fds (1.82 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details
File: var_log_messages (705 bytes, text/plain)
2019-07-29 13:52 UTC, Thomas Lake
no flags Details

Description Thomas Lake 2019-07-29 13:52:11 UTC
Description of problem:
Attempted to connect to a password protected VNC session (GNOME screen sharing) over an SSH tunnel

Version-Release number of selected component:
remmina-1.3.4-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: g_type_check_instance_cast
executable:     /usr/bin/remmina
journald_cursor: s=29eaeb506a8c4b9ca7cb3fe68377bca2;i=879c2f;b=7d329b7bcc75404fb39f558ae5e9fd5d;m=2c304f66c;t=58ecf3043a1f9;x=46e5a2dd7e4a1634
kernel:         5.1.19-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_type_check_instance_cast at ../gobject/gtype.c:4050
 #1 rco_delayed_window_present at /usr/src/debug/remmina-1.3.4-1.fc30.x86_64/src/rcw.c:3576
 #7 g_main_context_iteration at ../glib/gmain.c:3988
 #8 g_application_run at ../gio/gapplication.c:2516

Comment 1 Thomas Lake 2019-07-29 13:52:14 UTC
Created attachment 1594284 [details]
File: backtrace

Comment 2 Thomas Lake 2019-07-29 13:52:16 UTC
Created attachment 1594285 [details]
File: cgroup

Comment 3 Thomas Lake 2019-07-29 13:52:17 UTC
Created attachment 1594286 [details]
File: core_backtrace

Comment 4 Thomas Lake 2019-07-29 13:52:18 UTC
Created attachment 1594287 [details]
File: cpuinfo

Comment 5 Thomas Lake 2019-07-29 13:52:20 UTC
Created attachment 1594288 [details]
File: dso_list

Comment 6 Thomas Lake 2019-07-29 13:52:22 UTC
Created attachment 1594289 [details]
File: environ

Comment 7 Thomas Lake 2019-07-29 13:52:23 UTC
Created attachment 1594290 [details]
File: exploitable

Comment 8 Thomas Lake 2019-07-29 13:52:25 UTC
Created attachment 1594291 [details]
File: limits

Comment 9 Thomas Lake 2019-07-29 13:52:27 UTC
Created attachment 1594292 [details]
File: maps

Comment 10 Thomas Lake 2019-07-29 13:52:28 UTC
Created attachment 1594293 [details]
File: mountinfo

Comment 11 Thomas Lake 2019-07-29 13:52:29 UTC
Created attachment 1594294 [details]
File: open_fds

Comment 12 Thomas Lake 2019-07-29 13:52:30 UTC
Created attachment 1594295 [details]
File: proc_pid_status

Comment 13 Thomas Lake 2019-07-29 13:52:31 UTC
Created attachment 1594296 [details]
File: var_log_messages

Comment 14 Thomas Drake-Brockman 2019-08-13 12:13:57 UTC
*** Bug 1740638 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2019-08-20 20:09:44 UTC
FEDORA-2019-77b1c3fac6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77b1c3fac6

Comment 16 Fedora Update System 2019-08-21 01:21:40 UTC
freerdp-2.0.0-53.20190820git6015229.fc30, gnome-boxes-3.32.1-3.fc30, pidgin-sipe-1.24.0-6.fc30, remmina-1.3.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-77b1c3fac6

Comment 17 Fedora Update System 2019-08-29 22:06:11 UTC
freerdp-2.0.0-53.20190820git6015229.fc30, gnome-boxes-3.32.1-3.fc30, pidgin-sipe-1.24.0-6.fc30, remmina-1.3.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.